import { ExecutorContext } from '@nx/devkit';
/**
 * Get the direct package dependencies for the project.
 *
 * The direct package dependencies are the dependent projects that are directly referenced by the project.
 *
 * @param context
 * @param projectName
 */
export declare function getDirectPackageDependenciesForProject(context: ExecutorContext, projectName?: string | undefined): Record<string, string>;
export declare function getDirectPackageDependenciesForProjectWihRetry(context: ExecutorContext, projectName?: string | undefined, retries?: number, sleep?: number): Promise<Record<string, string>>;
